| Home | Libraries | People | FAQ | More

## Struct mutex_family

boost::interprocess::mutex_family

## Synopsis

    // In header: <boost/interprocess/sync/mutex_family.hpp>

    struct mutex_family {
      // types
      typedef boost::interprocess::interprocess_mutex           mutex_type;
      typedef boost::interprocess::interprocess_recursive_mutex recursive_mutex_type;
    };

## Description

Describes interprocess_mutex family to use with Interprocess framework based on boost::interprocess synchronization objects.